%define upstream_name    Plack-Middleware-LogWarn
%define upstream_version 0.001002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Converts to warns to log messages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Plack)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
LogWarn is a 'Plack::Middleware' component that will help you get warnings
into a logger. You probably want to use some sort of real logging system
such as the Log::Log4perl manpage and another 'Plack::Middleware' such as
the Plack::Middleware::Log4perl manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.1.2-6.mga6
+ Revision: 1032146
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.1.2-5.mga6
+ Revision: 949813
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 790449
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-3.mga5
+ Revision: 744528
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-2.mga5
+ Revision: 685983
- Mageia 5 Mass Rebuild

* Tue Nov 12 2013 shlomif <shlomif> 0.1.2-1.mga4
+ Revision: 550784
- imported package perl-Plack-Middleware-LogWarn


* Tue Nov 12 2013 cpan2dist 0.001002-1mga
- initial mageia release, generated with cpan2dist
